Skip to main content
GET
Retrieve a payment plan

Authorizations

Authorization
string
header
required

API Key authentication. Use "Bearer YOUR_API_KEY".

Path Parameters

id
string
required

The id identifier.

Response

200 - application/json

Returns a payment plan object if a valid identifier was provided.

id
string
required

Unique identifier for the object.

created
number
required

Time at which the object was created. Measured in seconds since the Unix epoch.

object
enum<string>
required
Available options:
payment_plan
accepted_at
integer | null
required

The date and time the customer accepted the plan.

amount
integer
required

The total amount the plan collects across all installments.

canceled_at
integer | null
required

The date and time the plan was canceled.

completed_at
integer | null
required

The date and time the final installment was collected.

currency
enum<string>
required

Three-letter ISO currency code, in lowercase. Must be a supported currency.

Available options:
gbp,
usd,
eur,
sek
Example:

"gbp"

customer
required

The customer the plan is for.

defaulted_at
integer | null
required

The date and time the plan defaulted.

interval
enum<string>
required

The frequency installments are collected at.

Available options:
week,
month
payment_method
required

The payment method installments are charged to.

recovery_case
required

The recovery case the plan settles.

status
enum<string>
required

The status of the plan.

Available options:
proposed,
active,
completed,
defaulted,
canceled
account
string

The account that the object belongs to. Only returned if the request is made with a valid Yorlet-Context header.

deleted
boolean
default:false

Only returned if the object has been deleted.

amount_paid
integer
default:0

The amount collected by the plan so far.

installments
object[]

The installments that make up the plan, in collection order.

metadata
object | null

Set of key-value pairs that you can attach to an object. This can be useful for storing additional information about the object in a structured format.